View Issue Details

IDProjectCategoryView StatusLast Update
0002554Far ManagerPlugins API.VMenupublic2019-06-11 02:16
ReporterJohnDoeAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002554: При фильтрации видны элементы меню скрытые с помощью MIF_HIDDEN
DescriptionЕсли активировать фильтр меню (RAlt), и начать фильтровать список, то подходящие под фильтр элементы (с флагом MIF_HIDDEN) также будут видны.

Даже если ни один из скрытых элементов не подходит, то при отмене фильтра все они появятся.
Steps To Reproducelocal items = {
  {text = "hidden",hidden = true},
  {text = "visible"},
}
far.Menu({},items)

Запускаем, можно из командной строки:
lm:post local items={{text="hidden",hidden=true},{text="visible"}} far.Menu({},items)

Жмём RAlt, далее любой символ и снова RAlt для выключения фильтра.
TagsNo tags attached.
Build5404

Activities

JohnDoe

2019-05-27 22:06

updater   bugnote:0016507

Кажется про это 5403

DrKnS

2019-05-27 23:36

administrator   bugnote:0016508

Да, 5403.
У нас уже, как в Симпсонах, всё было.

JohnDoe

2019-05-28 10:36

updater   bugnote:0016510

> 5403.

Косметика: вместо скрытых пунктов отображаются пустые строки

DrKnS

2019-05-29 01:38

administrator   bugnote:0016512

Как-то там всё совсем печально.
5404.

JohnDoe

2019-05-31 20:36

updater   bugnote:0016514

Теперь порядок

Issue History

Date Modified Username Field Change
2014-01-04 20:35 JohnDoe New Issue
2019-05-27 22:06 JohnDoe Note Added: 0016507
2019-05-27 23:36 DrKnS Assigned To => DrKnS
2019-05-27 23:36 DrKnS Status new => feedback
2019-05-27 23:36 DrKnS Note Added: 0016508
2019-05-28 10:36 JohnDoe Note Added: 0016510
2019-05-28 10:36 JohnDoe Status feedback => assigned
2019-05-29 01:38 DrKnS Note Added: 0016512
2019-05-31 20:36 JohnDoe Note Added: 0016514
2019-05-31 20:36 JohnDoe Status assigned => resolved
2019-06-11 02:16 DrKnS Status resolved => closed
2019-06-11 02:16 DrKnS Resolution open => fixed
2019-06-11 02:16 DrKnS Fixed in Version => 3.0
2019-06-11 02:16 DrKnS Build => 5404